libapreq2 (2.13-6) unstable; urgency=high

  * 05-nested-multipart-null-dereference.patch: New patch by
    Max Kellermann, fixes a NULL pointer dereference bug with nested
    multipart form submission. (Closes: #939937)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 15 Sep 2019 18:26:40 +0200

libapreq2 (2.13-5) unstable; urgency=medium

  * Make the binary-indep target actually build the -doc package, instead
    of doing it as part of binary-arch as before. (Closes: #805946)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 15 Jul 2016 11:06:34 +0200

libapreq2 (2.13-4) unstable; urgency=medium

  * Use $Config{vendorarch} instead of hard-coding /usr/lib/perl5
    in the .install file. (Closes: #754996)
    * Upgrade to debhelper compat v9. Bump versioned Build-Depends.
    * Make libapache2-request-perl.install into an executable Perl script,
      and make it output the right path runtime.
  * Bump Standards-Version to 3.9.5 (no changes needed).

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 17 Jul 2014 14:04:23 +0200

libapreq2 (2.13-3) unstable; urgency=high

  * urgency=high, fixes an RC bug.
  * Convert libapreq2-3 to multiarch; fixes an FTBFS as libtool
    would sometimes want to relink mod_apreq2.so under make install, and only
    looked in the multiarch directory when it did. (Closes: #729648)
    * 04-pass-libdir-to-configure.patch: New patch, pass --libdir from
      Makefile.PL to configure.
    * In debian/rules, give the correct multiarch --libdir to Makefile.PL.
    * Adjust the paths in libapreq2-3.install and libapreq2-dev.install
      so that they are correct for multiarch.
  * Delete unused patch 04-foo.

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 15 Nov 2013 23:17:57 +0100

libapreq2 (2.13-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Version libapreq2-3's Conflicts/Replaces on libapreq2 as << 2.13-2~
    (closes: #717026).

 -- Julien Cristau <jcristau@debian.org>  Tue, 30 Jul 2013 15:53:13 +0200

libapreq2 (2.13-2) unstable; urgency=low

  * Build against Apache 2.4. (Closes: #666802)
    * Build-depend on apache2-dev instead of apache2-prefork-dev. 
    * Depend on apache2-api-20120211 instead of apache2.2-common.
    * Use dh_apache2 for handling of maintainer scripts and .load files
      instead of calling a2dismod ourselves.
      * Add a build-dependency on the virtual package dh_apache2.
  * Fix some Lintian issues.
    * Rename apreq.load to apreq2.load.
    * Create a dummy build-indep target.
    * Switch to build flags from dpkg-buildflags (many smaller hacks needed
      to make them propagate correctly throughout the build system),
      to get the hardening flags right.
      * Add versioned dependency on dpkg-dev to get the buildflags.mk file.
    * Rename libapreq2 to libapreq2-3.
      * Add appropriate Conflicts/Replaces on the old libapreq2 package
        for a smooth transition.
      * Update internal dependencies.
    * Bump Standards-Version to 3.9.4.
    * Build mod_apreq2.so with no rpath, by hacking libtool after configure.
      For some reason, seemingly this was not reported properly by Lintian
      before.
  * Call dh_autotools-dev* at the right points to get updated config.sub
    and config.guess.
    * Build-depend on autotools-dev.
  * Make the shlibs file contain a versioned dependency. (Closes: #697683)

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 15 Jul 2013 15:41:59 +0200

libapreq2 (2.13-1) unstable; urgency=low

  * New upstream release.
    * Properly links in libapr-1 when building binaries.
      (Closes: #615739)
  * Don't install .la files (remove from libapreq2-dev.install and
    libapache2-mod-apreq2.install); the one we installed was broken,
    and they're generally discouraged anyway.
    (Not reported in Debian, but LP: #651396, and fixes a Lintian error.)
  * Update to Standards-Version 3.9.1 (no changes needed).

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 28 Feb 2011 02:24:36 +0100

libapreq2 (2.12-2) unstable; urgency=medium

  * 03-link-in-apr-shared-objects.patch: New patch, fixes so APR shared
    objects are properly linked into the Perl modules. This makes it possible
    to load the modules (although still not instantiate Apache2::Request
    objects) from scripts that are not run under mod_perl.
    Fix from Damyan Ivanov. (Closes: #573062)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 26 May 2010 00:06:42 +0200

libapreq2 (2.12-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format.
    * Split the Debian diff into two separate patches, and remove spurious
      junk that shouldn't have been there.
    * In clean, remove some stray files distclean forgets.
  * Update debhelper compatibility level to 7.
    * Update debhelper build-dependency version.
    * Use dh_prep instead of dh_clean -k.
  * Update Standards-Version to 3.8.4.
    * Change from ${Source-Version} to ${binary:Version} in inter-package
      dependencies.
    * In debian/copyright, refer to the Apache 2.0 license file from
      common-licenses instead of having the entire license text in the file.
      Also include the actual copyright in the file.
  * Put all binary packages in their correct respective sections.
  * Add ${misc:Depends} to all binary packages, and remove ${shlibs:Depends}
    from the -dev and -doc packages (which don't have any shared libraries).
  * Run dh_shlibdeps on all packages, using the -a flag.
  * Don't ignore errors on distclean; check for Makefile instead.
  * Don't use full path to a2dismod in libapache2-mod-apreq2.postrm.
  * Run libapache2-mod-apreq2.postrm script under sh -e, so errors are not
    ignored.
  * Install the man pages that used to conflict with libapache-request-perl,
    which is now not in the stable release anymore.
  * Don't set PREFIX= at make install time; only set prefix=.
    Seemingly, PREFIX= has no real effect at that point.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 28 Feb 2010 15:51:47 +0100

libapreq2 (2.08-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: change dh_* order so that dh_installdeb is not invoked
    too early and avoid including ldconfig in postinst (Closes: #553124)

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 14 Nov 2009 18:23:42 +0100

libapreq2 (2.08-5) unstable; urgency=low

  * Update config.{sub,guess} with latest versions from autotools-dev; fixes
    FTBFS on GNU/kFreeBSD. (Closes: #401751) 

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 19 May 2007 02:09:12 +0200

libapreq2 (2.08-4) unstable; urgency=medium

  * Fix typo; libapreq2 recommended libapreq2-mod-apreq2, which is obviously
    wrong. Change to libapache2-mod-apreq2.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 31 Oct 2006 02:40:32 +0100

libapreq2 (2.08-3) unstable; urgency=high

  * urgency=high to get the package into testing in time for the
    Apache 2.2 transition.
  * Update dependency from libapreq2-dev on libapr0-dev to libapr1-dev; fixes
    uninstallability. (Closes: #394614)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 22 Oct 2006 12:02:09 +0200

libapreq2 (2.08-2) unstable; urgency=low

  * Rebuild against Apache 2.2.
    * Build-depend on libapache2-mod-perl2 (>= 2.0.2-2.1), to make sure we
      get an Apache 2.2-capable mod_perl.
    * Depend on apache2.2-common instead of apache2-common.
    * Build-depend on libapr1-dev instead of libapr0-dev.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 10 Oct 2006 02:12:06 +0200

libapreq2 (2.08-1) unstable; urgency=low

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 12 Sep 2006 22:45:24 +0200

libapreq2 (2.07-1) unstable; urgency=medium

  * New upstream version.
    * [CVE-2006-0042] Fixes a possible remote DoS due to quadratic behaviour
      in apreq_parse_{headers,urlencoded}.
  * Removed INSTALLDIRS=vendor from Makefile.PL, it seems to choke on it
    now (and we've still got it in make install).
  * Include debhelper token in libapache2-mod-apreq2.postrm.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 25 Feb 2006 12:41:27 +0100

libapreq2 (2.06-dev-2) unstable; urgency=low

  * Hardcode $prefix in apreq2-config.in to /usr, so apreq2-config gives out
    more sensible values. (Closes: #323108)

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 10 Oct 2005 18:53:46 +0200

libapreq2 (2.06-dev-1) unstable; urgency=low

  * New upstream version.
  * Remove the spurious “2” file in the diff.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 13 Aug 2005 13:22:11 +0200

libapreq2 (2.05-dev-6) unstable; urgency=low

  * Add a dependency from libapache2-request-perl to libapache2-mod-apreq2.
    (Closes: #319614)
  * Fix the short description of libapache2-mod-apreq2 to say that it's
    actually an Apache module.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu,  4 Aug 2005 02:10:38 +0200

libapreq2 (2.05-dev-5) unstable; urgency=low

  * Make libapreq2-dev depend on libapr0-dev. (Closes: #317301)
  * Disable module on uninstall, if it is enabled. (Closes: #301685)
  * Split out libapache2-mod-apreq2 into a separate package.
    (Closes: #315971)
  * Add a Replaces: on libapache2-mod-apreq2 to all the packages that
    were split out in 2.05-dev-3, to be able to do upgrades correctly.
  * Update Standards-Version to 3.6.2 (no changes needed).
  * Drop the shlibs file, and generate it using dh_makeshlibs and
    dh_shlibdeps instead.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 16 Jul 2005 23:31:22 +0200

libapreq2 (2.05-dev-4) unstable; urgency=low

  * Change ${Version} (which is a syntax error) in debian/control to
    ${Source-Version}, which makes the Depends: lines be generated again.
    (Closes: #314859)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 19 Jun 2005 13:03:22 +0200

libapreq2 (2.05-dev-3) unstable; urgency=low

  * Changed source package name, since we aren't a Perl-only package.
  * Split the binary package into separate parts, separating the Perl glue
    from the rest and the binary into its own part. Note that this is
    somewhat experimental yet. :-) (Closes: #311622)
  * Bumped the versioned dependency on the libapache2-mod-perl2 (see
    last upload).
  * Removed redundant dh_* commands from debian/rules.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue,  7 Jun 2005 14:49:32 +0200

libapreq2-perl (2.05-dev-2) unstable; urgency=low

  * Bump versioned Build-Dependency on libapache2-mod-perl2, as we had
    an ABI change in 2.05-dev. (Closes: #311623)

 -- Steinar H. Gunderson <sesse@debian.org>  Tue,  7 Jun 2005 02:02:31 +0200

libapreq2-perl (2.05-dev-1) unstable; urgency=low

  * New upstream version, works properly with newer mod_perl2.
    (Closes: #309894)
    * Removed old "realclean" hack from build system.
    * Updated module name in .load file from mod_apreq.so to mod_apreq2.so.

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 20 May 2005 15:07:09 +0200

libapreq2-perl (2.04-dev-1) unstable; urgency=medium

  * New upstream version. (Closes: #293099)
  * Build-Depend on libapache2-request-perl2-dev, as the new upstream version
    now needs some header files from it.
  * Don't give lots of unneeded README files to dh_installdocs, they aren't
    installed anyhow.
  * Include HTML documentation in package. (Closes: #286810)
  * Fix capitalization in package description.
  * Updated debian/copyright:
    * Update license from LICENSE file (upstream has moved to Apache 2.0
      license)
    * Add reference to myself.
    * Add upstream URL.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun,  3 Apr 2005 16:06:44 +0200

libapreq2-perl (2.03-dev-3) unstable; urgency=high

  * Built against non-LFS libapr0 again, as per the request of the Apache
    maintainers. Consequently removed the LFS defines from CFLAGS as well.
  * Removed dep on apache2-dev -- a versioned dependency on it is useless
    anyhow.

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 20 Aug 2004 23:17:13 +0200

libapreq2-perl (2.03-dev-2) unstable; urgency=low

  * Fix even more LFS problems, which were a lot more visible ("segfault
    immediately") on big-endian architectures than on little-endian
    architectures; patch from Adam Conrad.
  * Remove a few temporary files from the source distribution (reducing the
    diff by ~10kB).

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 18 Aug 2004 03:40:24 +0200

libapreq2-perl (2.03-dev-1) unstable; urgency=low

  * New upstream release.
  * Now has versioned Depends for libapache2-mod-perl2, not just Build-Depends
    like 2.02-dev-6 has.
  * Build with "-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64". Should hopefully
    finally fix the LFS problems.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 18 Aug 2004 02:52:35 +0200

libapreq2-perl (2.02-dev-6) unstable; urgency=medium

  * New Depends for libapache2-mod-perl2 as well. (Really Closes: #266190)

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 17 Aug 2004 23:34:40 +0200

libapreq2-perl (2.02-dev-5) unstable; urgency=medium

  * Build against new libapr0 ABI (new Depends:). (Closes: #266190)

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 17 Aug 2004 02:05:04 +0200

libapreq2-perl (2.02-dev-4) unstable; urgency=low

  * Removed unneeded build dependency on apache2; the configure script
    now automatically assumes a correct Apache version will be installed
    on the target system. The dependency on apache2-common is now versioned
    to provide the same check at install-time. (Closes: #245490)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat,  8 May 2004 18:13:02 +0200

libapreq2-perl (2.02-dev-3) unstable; urgency=medium

  * Don't include Apache::Cookie and Apache::Request manpages, so the package
    can be installed at the same time as libapache-request-perl.
    (Closes: #237211)
  * Add debian/compat file, so we use debhelper v4 compatibility instead of
    debhelper v1 compatibility. Updates debian/rules accordingly, and removed
    debian/conffiles, as it's no longer needed.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 10 Mar 2004 16:46:12 +0100

libapreq2-perl (2.02-dev-2) unstable; urgency=low

  * Cleanups in debian/rules.
  * Added binary-arch and binary-indep targets, as per policy.
  * Actually _install_ libapreq2.so.2 to /usr/lib. (Closes: #234985)

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 10 Feb 2004 02:07:27 +0100

libapreq2-perl (2.02-dev-1) experimental; urgency=low

  * Initial packaging for Debian.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 17 Jan 2004 00:14:44 +0100

